export interface Operations<T extends number | bigint = number> {
    ZERO: T;
    parse(s: string, start: number): [nextStart: number, value: T];
    add(a: T, b: T): T;
    subtract(a: T, b: T): T;
    multiply(a: T, b: T): T;
    divide(a: T, b: T): T;
}
export declare const integerOperations: Operations;
export declare const decimalOperations: Operations;
export declare const bigintOperations: Operations<bigint>;
